BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/contacts
getTeam ChatAdmin BFF

/bff/team-chat/contacts

Users sharing an active membership with the caller (with the shared organisations) plus counterparts of existing conversations. The caller is first (isYou), then online people, then by name. Max 1000.

Team chatgetBffTeam-chatContacts

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idstringRequired
fullNamestringRequired
jobTitlestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
isYoubooleanRequired
avatarInfoobjectRequired
fullNamestringOptional
avatarUrlstringOptional
activityInfoanyOptional
organisationsobject[]Required
Each array item:
slugstringRequired
namestringRequired
isBlockedbooleanRequired

I blocked this person.

headlinestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
awayUntilstring | nullRequired
One of 2:
Variant 1
string

Out of office until (ISO), future only.

Variant 2
null
awayMessagestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
customStatusobject | nullRequired
One of 2:
Variant 1
emojistring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
textstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
clearDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
Variant 2
null
inCallbooleanRequired
workLocation"office" | "remote" | "travel" | nullRequired
One of 2:
Variant 1
"office" | "remote" | "travel"
Variant 2
null
meetingUntilstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
timezonestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
lastLocationobject | nullRequired
One of 2:
Variant 1
citystring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
countrystring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
seenAtstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
Variant 2
null
membershipsobject[]Required
Each array item:
slugstringRequired
memberIdstringRequired

Response example

application/json
{
  "items": [
    {
      "id": "example_id",
      "fullName": "example_fullName",
      "isYou": false,
      "avatarInfo": {
        "fullName": "example_fullName",
        "avatarUrl": "example_avatarUrl"
      },
      "organisations": [
        {
          "slug": "example_slug",
          "name": "example_name"
        }
      ],
      "isBlocked": false,
      "inCall": false,
      "memberships": [
        {
          "slug": "example_slug",
          "memberId": "example_memberId"
        }
      ]
    }
  ]
}

Request example

GET /bff/team-chat/contacts

get
curl -X GET "https://api.bizkithub.com/bff/team-chat/contacts" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key